Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a RFC...

From: "Kyle Meadors" <[email-masked]>
Date: Wed, 7 Jan 2004 15:30:28 -0600

The AS2 draft vs. 14 doesn't reference the draft-ietf-compression-XX.txt
document. It probably should be added in section 6.1 of the AS2 draft in
talking about AS2-Version 1.1 and compression, and then added in 11.0 in the
References section.

Kyle Meadors

Drummond Group Inc.

  _____  

From: [email-masked] [mailto:[email-masked]]
On Behalf Of Rik Drummond
Sent: Wednesday, January 07, 2004 12:45 AM
To: [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

thanks... any more?

-----Original Message-----
From: Shan Harter [mailto:[email-masked]] 
Sent: Wednesday, January 07, 2004 12:29 AM
To: 'Rik Drummond'; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

Perhaps a clarification for the following?

1. "AS2-Version: 1.1 - Designates those implementations which support
Compression as defined by RFC 3274."

2. The draft draft-ietf-ediint-as2-14.txt does not reference
draft-ietf-ediint-compression-03.txt. 

3. draft-ietf-ediint-compression-03.txt does not reference RFC 3274.

4. draft-ietf-ediint-as2-14.txt does reference RFC 3274 for compression.

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Rik Drummond
Sent: Tuesday, January 06, 2004 10:26 PM
To: [email-masked]
Subject: I believe that AS2 is now ready to be submitted to IETF as a RFC...

.. are there any more comments on it before we do a last call on this list?

Rik Drummond, Chair EDIINT WG

---

From: "Terry Harding" <[email-masked]>
Date: Wed, 7 Jan 2004 12:54:24 -0700

Message3. draft-ietf-ediint-compression-03.txt does not reference RFC 3274.

A new draft has been submitted to the EDIINT working group, which now references RFC 3274 and
the latest AS2 draft.

draft-ietf-ediint-compression-04.txt and expires July 2004.

Terry Harding
Cyclone Commerce

---

From: Richard Scott <[email-masked]>
Date: Wed, 07 Jan 2004 10:33:34 -0600

Hello, Nicolas.

The changes you noted were made after a review of the previous draft
revealed that the unintentional changes had been introduced which made
it inconsistent with RFC 3335 ("as1").  That,  as I believe you
will agree,  would not be a good thing; hence the updated text again
brings them into synchrony.

Note that the signed-receipt-micalg parameter is still honored for signed
messages:  the "algorithm used to calculate the MIC" refers to the
digest returned inside the signed MDN as the "received-content-MIC", which
may be different from the algorithm used to sign the MDN itself.
The signed-receipt-micalg parameter refers to the algorithm used to sign
the MDN.

For an unsigned message that requested a signed MDN, a digest will be
computed using SHA-1 and returned as the "received-content-MIC".

In either of the above cases where a signed MDN is requested, the MDN
is signed using the algorithm specified in the signed-receipt-micalg parameter
in the disposition-notification-options  header (left-to-right precedence
if  more than one algorithm specified) , or SHA1 if not specified.

Hope that clarification resolves the issue to your satisfaction.

Regards,

Richard

Nicolas Bielza wrote:

in draft-ietf-ediint-as2-14.txt,
section 7.4.3: For
signed messages, the algorith used to calculate the

MIC MUST
be the same as the algorithm that was used on the

message that
was signed. Then
if the message is signed, the signed-receipt-micalg parameter is not taken
into account;But
the draft continues with:If
the message is not signed, then

the SHA-1
algorithm should be used. So
the signed-receipt-micalg parameter is never taken into account ? (And
there's no way of requesting a MD5 MIC for an unsigned message).

---

From: "Nicolas Bielza" <[email-masked]>
Date: Wed, 7 Jan 2004 10:17:57 -0500

in draft-ietf-ediint-as2-14.txt, section 7.4.3:
 
For signed messages, the algorith used to calculate the
MIC MUST be the same as the algorithm that was used on the
message that was signed.
 
Then if the message is signed, the signed-receipt-micalg parameter is
not taken into account;
But the draft continues with:
 
If the message is not signed, then
the SHA-1 algorithm should be used.
 
So the signed-receipt-micalg parameter is never taken into account ?
(And there's no way of requesting a MD5 MIC for an unsigned message).

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Rik Drummond
Sent: 7 janvier, 2004 01:45
To: [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as
a RFC...

thanks... any more?

-----Original Message-----
From: Shan Harter [mailto:[email-masked]] 
Sent: Wednesday, January 07, 2004 12:29 AM
To: 'Rik Drummond'; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as
a RFC...

 

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Rik Drummond
Sent: Tuesday, January 06, 2004 10:26 PM
To: [email-masked]
Subject: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

.. are there any more comments on it before we do a last call on this
list?

---

From: "Rik Drummond" <[email-masked]>
Date: Wed, 7 Jan 2004 14:55:07 -0600

great comments everyone... we are very close it seems

-----Original Message-----
From: Nicolas Bielza [mailto:[email-masked]] 
Sent: Wednesday, January 07, 2004 9:18 AM
To: 'Rik Drummond'; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

 
Then if the message is signed, the signed-receipt-micalg parameter is not
taken into account;
But the draft continues with:

So the signed-receipt-micalg parameter is never taken into account ? (And
there's no way of requesting a MD5 MIC for an unsigned message).

-----Original Message-----

thanks... any more?

-----Original Message-----
From: Shan Harter [mailto:[email-masked]] 
Sent: Wednesday, January 07, 2004 12:29 AM
To: 'Rik Drummond'; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

---

From: "Shan Harter" <[email-masked]>
Date: Tue, 6 Jan 2004 23:28:48 -0700

MessagePerhaps a clarification for the following?

---

From: "Rik Drummond" <[email-masked]>
Date: Wed, 7 Jan 2004 00:45:01 -0600

thanks... any more?

-----Original Message-----
From: Shan Harter [mailto:[email-masked]] 
Sent: Wednesday, January 07, 2004 12:29 AM
To: 'Rik Drummond'; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

---

From: "Rik Drummond" <[email-masked]>
Date: Tue, 6 Jan 2004 23:26:23 -0600